#include "deftype.h"
#include "acdata.h"

int hex(unchar *str)
/* １６進２桁文字を１６進数値に変換する */
{
int c1,c2;
	if (str[0]==';') return(str[1]); /* ;asc */
	c1=hval(str[0]);
	if (c1<0) return(-1); /* １文字目エラー */
	c2=hval(str[1]);
	if (c2<0) return(-2); /* ２文字目エラー */
	return(c1*16+c2);
}
